/* CSS is how you can add style to your website, such as colors, fonts, and positioning of your
	 HTML content. To learn how to do something, just try searching Google for questions like
	 "how to change link color." */
:root {
	--bg-color: #27141d;
	--border-1: #47272f;
	--border-2: #98584c;
	--container-text: #27141d;
	--outline: #673536;
	--nav: #f9c287;

}

/* Animations */
@keyframes shake {
	0%,
	100% {
		transform: rotate(0); /* Start and end with no rotation */

	}

	25%,
	75% {
		transform: rotate(-0.5deg); /* Rotate left at 25% and 75% of the animation */
	}

	50% {
		transform: rotate(0.5deg); /* Rotate right at 50% of the animation */

	}

}

body {
	background-color: var(--bg-color);
	background-image: url("../images/textures/dark-paper.webp");
	background-position: top;
	font-size: 1em;
	font-family: "Palatino Linotype", Palatino, Baskerville, "Baskerville Old Face", Garamond, serif;
	margin: 0;
}

p {
	line-height: 1.6em; /*I find the default HTML line-height tends to be a bit claustrophobic for main text*/
}

hr {
	border: solid ;
	border-width: 2px 0 0 0;
}

img {
	max-width: 100%;
	height: auto;
	margin-top: 0.5em;
	margin-bottom: 0.5em;
}
.right {
	float: right;
	margin-left: 1em;
}
.left {
	float: left;
	margin-right: 1em;
}
.center {
	display: block;
	margin-right: auto;
	margin-left: auto;
	text-align: center;
}
@media only screen and (min-width: 600px) {
	.small {
	max-width: 60%;
	height: auto;
	}
}
.caption {
	margin-top: 0;
	font-size: 0.9em;
	font-style: italic;
}

/*#CONTAINER is the rectangle that has contains everything but the background!*/
#container {
	margin: 3em auto;
	width: 90%;
	max-width: 1000px;
	background-color: var(--bg-color);
	background-image: url("../images/textures/paper-blur.webp");
	background-position: top;
	color: var(--container-text);
	outline-color: var(--outline);
	outline-style: ridge;
	outline-width: 6px;
	outline-offset: 0;
}

#content {
	padding: 10px 5% 20px 5%;
}


/*HEADER STYLE*/
#header {
	background-color: var(--outline);
	background-image: url("../images/textures/leather.webp");
	padding: 0 5%;
	border-color: var(--border-2);
	border-style: ridge;
	border-width: 0 0 6px 0;
}
#header ul {
	list-style-type: none;
	padding: 0.5em 0;
	margin: 0;
}
#header li {
	font-size: 1.2em;
	display: inline-block;
	margin-right: 1.5em;
	margin-bottom: 0.2em;
	margin-top: 0.2em;
}
#header li a {
	color: var(--nav);
	text-decoration: none;
}
#header li a:hover {
	text-decoration: underline;
}

/*POST LIST STYLE*/
#postlistdiv ul {
	font-size: 1.2em;
	padding: 0;
	list-style-type: none;
}
#recentpostlistdiv ul {
	font-size: 1.2em;
	padding: 0;
	list-style-type: none;
}
.moreposts {
	font-size: 0.8em;
	margin-top: 0.2em;
}

/*NEXT AND PREVIOUS LINKS STYLE*/
#nextprev {
	text-align: center;
	margin-top: 1.4em;
}

/*DISQUS STYLE*/
#disqus_thread {
	margin-top: 1.6em;
}

/*FOOTER STYLE*/
#footer {
	font-size: 0.8em;
	padding: 0 5% 10px 5%;
}

/*Gallery from https://www.w3schools.com/csS/css_image_gallery.asp*/
div.gallery {
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
}

div.gallery-item {
	background-image: url("../images/textures/paper.webp");
	margin: 3px;
	border: 3px ridge var(--border-2);
	width: 180px;
}

div.gallery-item:hover {
	border: 3px ridge var(--border-2);
	animation: shake .3s linear; /* Apply the 'shake' animation on hover */



}

div.gallery-item img {
	margin-top: 1px;
	width: 100%;
	height: auto;
}

div.gallery-item div.desc {
	color: var(--bg-color);
	padding: 15px;
	text-align: center;
}

/*Sticker*/
img.sticker {
	margin: 5px;
	border: 3px ridge var(--border-2);
	width: 180px;

}
